Update User

put

/v1/uwaas/orgs/{orgId}/users/{userId}

Update editable user fields in the organization identified by external `orgId`.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Editable fields for updating a user: displayName, roleId, and status.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

User updated successfully.
Body ()
Root Schema : User
Type: object
User response returned by get and list endpoints.
Show Source

400 Response

Bad request.
Body ()
Root Schema : Error
Type: object
Show Source
Nested Schema : details
Type: array
Show Source

401 Response

Unauthorized.
Body ()
Root Schema : Error
Type: object
Show Source
Nested Schema : details
Type: array
Show Source

404 Response

Requested resource was not found.
Body ()
Root Schema : Error
Type: object
Show Source
Nested Schema : details
Type: array
Show Source

500 Response

Internal server error.
Body ()
Root Schema : Error
Type: object
Show Source
Nested Schema : details
Type: array
Show Source
Back to Top